## ros-noetic-etsi-its-msgs-utils 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(etsi_its_msgs_utils)

find_package(ros_environment REQUIRED QUIET)
set(ROS_VERSION $ENV{ROS_VERSION})

include(${PROJECT_NAME}-extras.cmake)

# === ROS 2 (AMENT) ============================================================
if(${ROS_VERSION} EQUAL 2)

  find_package(ament_cmake REQUIRED)
  find_package(etsi_its_msgs REQUIRED)
  find_package(GeographicLib REQUIRED)
  find_package(geometry_msgs REQUIRED)
  find_package(tf2_geometry_msgs REQUIRED)

  add_library(${PROJECT_NAME} INTERFACE)

  target_include_directories(${PROJECT_NAME} INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include/${PROJECT_NAME}>
  )

  target_link_libraries(${PROJECT_NAME} INTERFACE
    ${etsi_its_msgs_TARGETS}
    ${GeographicLib_LIBRARIES}
    ${geometry_msgs_TARGETS}
    ${tf2_geometry_msgs_TARGETS}
  )

  ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
  ament_export_dependencies(etsi_its_msgs geometry_msgs tf2_geometry_msgs)

  install(DIRECTORY include/
    DESTINATION include/${PROJECT_NAME}
  )

  # install all sample python scripts
  file(GLOB SAMPLE_SCRIPTS "samples/publish_*.py")
  install(
    FILES "samples/utils.py"
    DESTINATION lib/${PROJECT_NAME}
  )
  install(
    PROGRAMS ${SAMPLE_SCRIPTS}
    DESTINATION lib/${PROJECT_NAME}
  )

  install(TARGETS ${PROJECT_NAME}
    EXPORT ${PROJECT_NAME}Targets
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION lib
    INCLUDES DESTINATION include
  )

  if(BUILD_TESTING)
    find_package(ament_cmake_gtest REQUIRED)
    ament_add_gtest(${PROJECT_NAME}-test test/test_access.ros2.cpp)
    target_include_directories(${PROJECT_NAME}-test PUBLIC test
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:include>
    )
    ament_target_dependencies(${PROJECT_NAME}-test
      etsi_its_msgs
      GeographicLib
      geometry_msgs
      tf2_geometry_msgs
    )
  endif()

  ament_package(
    CONFIG_EXTRAS ${PROJECT_NAME}-extras.cmake
  )

# === ROS (CATKIN) =============================================================
elseif(${ROS_VERSION} EQUAL 1)

  find_package(catkin REQUIRED COMPONENTS
    etsi_its_msgs
    geometry_msgs
    tf2_geometry_msgs
  )

  find_package(GeographicLib REQUIRED)

  catkin_package(
    CFG_EXTRAS ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}-extras.cmake
    INCLUDE_DIRS include
    CATKIN_DEPENDS
      etsi_its_msgs
      geometry_msgs
      tf2_geometry_msgs
  )

  include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${GeographicLib_INCLUDE_DIRS}
  )

  install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  )

  if(CATKIN_ENABLE_TESTING)
    catkin_add_gtest(${PROJECT_NAME}-test test/test_access.cpp)
    if(TARGET ${PROJECT_NAME}-test)
      target_include_directories(${PROJECT_NAME}-test PUBLIC test)
      target_link_libraries(${PROJECT_NAME}-test ${GeographicLib_LIBRARIES} ${catkin_LIBRARIES})
    endif()
  endif()

endif()

=== debian/changelog ===
ros-noetic-etsi-its-msgs-utils (3.2.0-1focal) focal; urgency=high

  * Merge pull request #76 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/76> from ika-rwth-aachen/feature/sensorinformation-utils
    Add setter functions for SensorInformationContainer
  * Merge branch 'main' into uulm-mcm
  * Merge pull request #74 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/74> from FabianThomsen/feature/var-utils
    Add setters and getters for (co)variances
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 22 Apr 2025 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (3.1.0-1focal) focal; urgency=high

  * Merge pull request #67 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/67> from ika-rwth-aachen/update-copyright
    Update copyright
  * Merge pull request #64 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/64> from ika-rwth-aachen/denm-v2
    Support DENM v2 (TS)
  * Merge branch 'main' into denm-v2
  * Merge pull request #65 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/65> from ika-rwth-aachen/improvement/display_spatem_timing_information
    Improvement/display spatem timing information
  * Merge pull request #66 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/66> from ika-rwth-aachen/fix/default-leap-seconds
    Use rbegin() instead of end() to access last element of std::map storing the leap-second insertions
  * Merge remote-tracking branch 'origin/main' into improvement/display_spatem_timing_information
  * Merge pull request #63 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/63> from cubesys-GmbH/fix_mapem_message_id
  * Merge pull request #55 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/55> from ika-rwth-aachen/feature/spat-map-plugin
    RViz Plugin for SPATEM/MAPEM
  * Merge pull request #58 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/58> from ika-rwth-aachen/fix/cam-setter-example
    Fix example for access-functions in README
  * Merge branch 'main' into feature/spat-map-plugin
  * Contributors: Alexander Wilczynski, AlexanderWilczynski, Guido Küppers, Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Mon, 17 Feb 2025 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (3.0.0-1focal) focal; urgency=high

  * Merge pull request #48 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/48> from ika-rwth-aachen/improvement/cpm-codegen-py
    Enable CLASS and SET support in codegen-py
  * Merge pull request #28 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/28> from ika-rwth-aachen/feature/spatem-mapem
    SPATEM/MAPEM Support
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 10 Dec 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.4.0-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/42> from ika-rwth-aachen/feature/auto-cmake-generation
    Add automatic generation of CMakeLists.txt for msg packages
  * Merge branch 'main' into feature/auto-cmake-generation
  * Merge pull request #44 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/44> from ika-rwth-aachen/improvement/sample-scripts
    Relocate sample scripts
  * Merge branch 'main' into feature/denm-launchfile-transformation
  * Contributors: Jean-Pierre Busch, Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 19 Nov 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.3.0-1focal) focal; urgency=high

  * Merge pull request #38 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/38> from ika-rwth-aachen/feature/cpm_utils
    Adding CPM Access-Functions and RViz Plugin; and improve utils package for all message types
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 15 Oct 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.2.0-1focal) focal; urgency=high

  * Merge pull request #29 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/29> from ika-rwth-aachen/cam-release2
    Add ETSI ITS CAM TS (release2)
  * Merge pull request #2 <https://github.com/ika-rwth-aachen/etsi_its_messages/issues/2> from lreiher/fix-converter-memleak
    Resolve conflicts with ika-rwth-aachen/etsi_its_messages and free ret.buffer
  * Merge remote-tracking branch 'ika/main' into fix-converter-memleak
  * Contributors: Jean-Pierre Busch, Lennart Reiher, v0-e

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Thu, 01 Aug 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.1.0-1focal) focal; urgency=high

  * Merge pull request #20 from ika-rwth-aachen/further-msgs
    Switch to rust-based generation and add additional message types
  * Contributors: Jean-Pierre Busch

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 09 Jul 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.0.2-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 31 May 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.0.1-1focal) focal; urgency=high



 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Tue, 27 Feb 2024 00:00:00 -0000

ros-noetic-etsi-its-msgs-utils (2.0.0-1focal) focal; urgency=high

  * Merge pull request #5 from ika-rwth-aachen/improvement/satisfy-package-conventions
    Refactoring to satisfy ROS package conventions
  * Contributors: Lennart Reiher

 -- Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>  Fri, 05 Jan 2024 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-etsi-its-msgs-utils
Section: misc
Priority: optional
Maintainer: Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>
Build-Depends: debhelper (>= 9.0.0), libgeographic-dev, ros-noetic-catkin, ros-noetic-etsi-its-msgs, ros-noetic-geometry-msgs, ros-noetic-ros-environment, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-etsi-its-msgs-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgeographic-dev, ros-noetic-etsi-its-msgs, ros-noetic-geometry-msgs, ros-noetic-ros-environment, ros-noetic-tf2-geometry-msgs
Description: ROS messages and utility functions for ETSI ITS messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-etsi-its-msgs-utils//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
